<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-entity'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="'label'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.generic.label.code' | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="'code'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>
      <sqtm-core-rich-text-field
        [formGroup]="formGroup"
        [fieldName]="'description'"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-rich-text-field>
    </div>
    <ng-container [formGroup]="infoListOptionsFormGroup">
      <label class="block-title">{{
        'sqtm-core.entity.option.label.plural' | translate
      }}</label>
      <div class="block-border m-t-10">
        <div class="full-column-span sqtm-core-dialog-form">
          <label class="label label__align_right">{{
            'sqtm-core.entity.generic.name.label' | translate
          }}</label>
          <sqtm-core-text-field
            [formGroup]="infoListOptionsFormGroup"
            [fieldName]="'infoListOptionLabel'"
            [serverSideFieldValidationError]="serverSideValidationErrors"
          >
          </sqtm-core-text-field>
          <label class="label label__align_right">{{
            'sqtm-core.generic.label.code' | translate
          }}</label>
          <sqtm-core-text-field
            [formGroup]="infoListOptionsFormGroup"
            [fieldName]="'infoListOptionCode'"
            [serverSideFieldValidationError]="serverSideValidationErrors"
          >
          </sqtm-core-text-field>

          <button
            style="width: max-content"
            class="grid-column-start-2"
            [attr.data-test-dialog-button-id]="'add-option'"
            nz-button
            nzType="primary"
            (click)="addOption()"
          >
            {{ 'sqtm-core.entity.custom-field.add-option.label' | translate }}
          </button>
        </div>

        <div class="full-column-span">
          <sqtm-core-grid></sqtm-core-grid>
        </div>
        @if (hasInfoListOptionDefaultError$ | async) {
          <span
            class="sqtm-core-error-message"
            [attr.data-test-error-key]="'default-option-required'"
          >
            {{
              'sqtm-core.error.info-list.required-default-option' | translate
            }}
          </span>
        }
      </div>
    </ng-container>
  </div>
</sqtm-core-creation-dialog>
